Subject: Re: bug#12215: CSET is unnecessarily confusing

From: Dmitry Antipov <[email-masked]>
Date: Fri, 24 Aug 2012 08:26:12 +0400

On 08/24/2012 07:57 AM, Paul Eggert wrote:
 > On 08/23/2012 08:46 PM, Chong Yidong wrote:
>> Maybe we could use macros that are a no-op under CPP, and serve only as
>> guides for a non-CPP code transformation tool.
>
> How about if we use a naming convention that the code transformation
> tool could pick out?

Please, this becomes madness. "When designing a new kind of system, a team
will design a throw-away system (whether it intends to or not)" (Brooks).
Whatever we decide now, it's likely to be changed in the future. For further
GC development, I'm quite comfortable with current Xset_xxx inline functions;
so I suggest to create GC branch starting from, say, revision 109761 of
the trunk and apply Paul's patch to remove Xset_xxx stuff from the trunk.

Dmitry